Subject: RE: [BUG] Git 2.42.0-rc2 t1092.57 script error

From: <[email-masked]>
Date: Fri, 18 Aug 2023 19:25:51 -0400

><mailto:[email-masked]> writes:
>>On Friday, August 18, 2023 5:28 PM, Junio C Hamano wrote:
>><mailto:[email-masked]> writes:
>>
>>> Is this new test code? The local qualified appears to be a bash
>>> extension, not available across all shells - from what I can
>>> determine. Is it really required here or just fancy?
>>
>>You are asking a wrong person ;-)
>>
>>You know Git well enough to run "git blame" on this code yourself to answer
the first
>>question and find out whom to ask it:
>>
>>  https://github.com/git/git/blame/master/t/test-lib-functions.sh#L1794

>Code has been around 2 years. I will chase this down with the platform
>vendor.

Well, it was investigated. local is not the issue. It is working correctly on ksh and bash on the platform. It is looking like the issue was something in the environment. We are on a new test system that is seriously overloaded, so it is possible that we ran out of resources or were close to the limit when the test started - multiple times earlier in the day, but it is feeling much better now and the subtest passed.

I'm going to write this one off as no factor.

Thanks for the help.
--Randall